# Get program limits Get a configured global limit granted for a program along with its current accumulated limit value. Refer to the [Program limits](doc:program-limits) guide for more information. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Balances and limits", "version": "1.0.0", "description": "recover the description with the PM", "contact": { "name": "API Support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/balances-limits", "description": "Sandbox API server for testing" } ], "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "schemas": { "GetGlobalConfigLimit": { "type": "object", "description": "Limit configuration", "properties": { "value": { "description": "Configured program limit value", "type": "number", "minimum": 0, "example": 1000.5 }, "is_active": { "description": "Status of the configuration limit (`true` if active, `false` if inactive)", "type": "boolean", "example": true }, "accumulated": { "description": "Accumulated value", "type": "number", "example": 0 } }, "required": [ "value", "is_active" ] }, "GetGlobalConfigLimits": { "type": "object", "description": "Limits configuration", "properties": { "max_credit_limit": { "$ref": "#/components/schemas/GetGlobalConfigLimit" } }, "required": [ "max_credit_limit" ] }, "GetGlobalConfigResponse": { "type": "object", "description": "Global configuration response", "properties": { "level": { "description": "Configuration level", "type": "string", "enum": [ "PROGRAM" ], "example": "PROGRAM" }, "program_id": { "description": "Program ID", "type": "integer", "example": 1234 }, "limits": { "$ref": "#/components/schemas/GetGlobalConfigLimits" } } }, "ErrorModel": { "type": "object", "properties": { "message": { "type": "string", "description": "Message that describes the error.", "example": "An Internal Server Error found, please contact the administrator" }, "code": { "type": "string", "description": "Code that identifies the error type.", "example": "EBLS9999" }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/ErrorDetails" } } } }, "ErrorDetails": { "type": "object", "properties": { "location": { "description": "Location describes the attribute when the error is present", "type": "string", "example": "payload.attribute" }, "message": { "type": "string", "description": "Message that describes the error detail", "example": "attribute is null" } } } }, "examples": { "headerValidationError": { "value": { "message": "Some required headers are missing", "code": "WBLS0001" } }, "genericSystemError": { "value": { "message": "Internal error found, please contact the administrator", "code": "EBLS9999" } }, "globalConfigInvalidProgramIDError": { "value": { "message": "Error validating input", "code": "WBLS0005", "details": [ { "location": "query.programId", "message": "programId must be a positive integer" } ] } } } }, "tags": [ { "name": "Program limits", "description": "Endpoints to manage program limit configurations." } ], "security": [ { "BearerAuth": [] } ], "paths": { "/v1/global-configs": { "get": { "operationId": "get-v1-global-configs", "summary": "Get program limits", "description": "Get a configured global limit granted for a program along with its current accumulated limit value. \n\nRefer to the [Program limits](https://developers.pismo.io/pismo-docs/docs/program-limits) guide for more information.\n", "tags": [ "Program limits" ], "parameters": [ { "name": "programId", "in": "query", "description": "Program ID to retrieve configurations for", "schema": { "type": "integer", "example": 123 } } ], "responses": { "200": { "description": "Program limits retrieved successfully", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/GetGlobalConfigResponse" } }, "examples": { "single config": { "summary": "Single program limits configuration found", "value": [ { "level": "PROGRAM", "program_id": 1234, "limits": { "max_credit_limit": { "value": 10000, "is_active": true, "accumulated": 0 } } } ] } } } } }, "400": { "description": "Bad request - validation error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "validation error": { "$ref": "#/components/examples/globalConfigInvalidProgramIDError" }, "header validation error": { "$ref": "#/components/examples/headerValidationError" } } } } }, "404": { "description": "Configuration not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "config not found": { "value": { "message": "Configuration not found" } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "system error": { "$ref": "#/components/examples/genericSystemError" } } } } } } } } } } ```